### Virtual Method

# FwupdPlugin CfiDevice send_command

since: 1.9.1

#### Declaration [src]

    gboolean
    send_command (
      FuCfiDevice* self,
      const guint8* wbuf,
      gsize wbufsz,
      guint8* rbuf,
      gsize rbufsz,
      FuProgress* progress,
      GError** error
    )

#### Description [src]

Sends an unspecified command stream to the CFI device.

Available since: 1.9.1

#### Parameters

`wbuf`

  Type: `const guint8*`

  Buffer.

  The data is owned by the caller of the function.

`wbufsz`

  Type: `gsize`

  Size of `wbuf`, possibly zero.

`rbuf`

  Type: `guint8*`

  Buffer.

  The data is owned by the caller of the function.

`rbufsz`

  Type: `gsize`

  Size of `rbuf`, possibly zero.

`progress`

  Type: `FuProgress`

  A `FuProgress`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.